=begin pod

=TITLE class X::Channel::ReceiveOnClosed

=SUBTITLE Error due to calling C<receive> on a closed channel

    class X::Channel::ReceiveOnClosed { ... }

This exception is thrown when a calling C<receive> on a L<Channel|/type/Channel> that has been closed:

    my $s = Channel.new;
    $s.close;
    $s.receive;     # Cannot receive a message on a closed channel

=head1 Methods

=head2 method channel

    method Channel(:D:) return Channel:D

Returns the Channel object on which the C<receive> method was called.

=end pod
